INCLUDE = -I.

all: build_swig_egs

build_swig_egs:
	swig -python example_0.i
	cc -fpic -c example_0.c example_0_wrap.c -I/usr/include/python3.8
	ld -shared example_0.o example_0_wrap.o -o _example_0.so

test:
	python3 test_0.py

clean:
	rm example_0.py example_0_wrap.c example_0.o example_0_wrap.o _example_0.so
	rm -rf __pycache__
	
.PHONY: build_swig_egs clean
